/* CSS Variables */
@font-face {
   font-family: 'Acme Gothic Wide Bold';
   src: url('fonts/Acme-Gothic-Wide-Bold.otf') format('opentype');
   font-weight: normal;
   font-style: normal;
   font-display: swap; /* Improves loading performance */
}

@font-face {
   font-family: 'Aktiv Grotesk';
   src: url('fonts/Aktiv-Grotesk-Regular.otf') format('opentype');
   font-weight: normal;
   font-style: normal;
   font-display: swap; /* Improves loading performance */
}

@font-face {
   font-family: 'Futura PT Bold';
   src: url('fonts/Futura\ PT\ Bold.otf') format('opentype');
   font-weight: normal;
   font-style: normal;
   font-display: swap; /* Improves loading performance */
}

@font-face {
   font-family: 'Inter Regular';
   src: url('fonts/') format('opentype');
   font-weight: normal;
   font-style: normal;
   font-display: swap; /* Improves loading performance */
}

@font-face {
   font-family: 'Gotham-Medium';
   src: url('fonts/Gotham-Medium.otf') format('opentype');
   font-weight: normal;
   font-style: normal;
   font-display: swap; /* Improves loading performance */
}

@font-face {
   font-family: 'HelveticaNeueLTStd-Roman';
   src: url('fonts/Helvetica\ Neue\ LT\ Std\ 65\ Medium.otf') format('opentype');
   font-weight: normal;
   font-style: normal;
   font-display: swap; /* Improves loading performance */
}

@font-face {
   font-family: 'Kapra Neue Bold';
   src: url('fonts/kapraneue-bold.otf') format('opentype');
   font-weight: normal;
   font-style: normal;
   font-display: swap; /* Improves loading performance */
}

@font-face {
   font-family: 'Liberator Medium';
   src: url('fonts/Liberator-Medium.otf') format('opentype');
   font-weight: normal;
   font-style: normal;
   font-display: swap; /* Improves loading performance */
}

@font-face {
   font-family: 'Mark Pro Book';
   src: url('fonts/MarkPro-Book.otf') format('opentype');
   font-weight: normal;
   font-style: normal;
   font-display: swap; /* Improves loading performance */
}

@font-face {
   font-family: 'Vanguard CF Extra Bold';
   src: url('fonts/VanguardCF-ExtraBold.otf') format('opentype');
   font-weight: normal;
   font-style: normal;
   font-display: swap; /* Improves loading performance */
}

:root {
  --heading-font: Verdana, Arial, Helvetica, sans-serif;
  --body-font: Verdana, Arial, Helvetica, sans-serif;
}

body :is(h1, h2, h3, h4, h5, h6) {
    font-family: var(--heading-font);
}

body :not(h1, h2, h3, h4, h5, h6) {
    font-family: var(--body-font);
}

/* Banner */
body {
    overflow-x: hidden;
    padding: 0;
    margin: 0;
}

.bruce-banner {
    width: 100%;
    background: #f5f5f5;
    padding: 100px 0;
    color: #333333;
}

@media (prefers-color-scheme: dark) {
    .bruce-banner {
        width: 100%;
        background: #333333;
        padding: 100px 0;
        color: #f5f5f5;
    }
}

.bruce-banner h1 {
    text-align: center;
    text-transform: uppercase;
    margin: 0;
    font-size: 2rem;
}

@media screen and (min-width: 768px) {
    .bruce-banner h1 {
        font-size: 3.5rem;
    }
}

.bruce-banner p {
    text-align: center;
    text-transform: uppercase;
    margin: 0;
}

.bruce-banner .top-heading {
    width: 100%;
    max-width: 160px;
    margin: 0 auto;
}

.bruce-banner p.sub-heading {
    font-size: 1.5rem;
    margin-top: 20px;
    font-size: 5rem;
}

/* Grid */
.grid {
    display: grid;
    grid-auto-flow: dense;
    grid-template-columns: repeat(1,minmax(0,1fr));
    grid-template-rows: 1fr;
    align-items: center;
    justify-items: center;
}

.grid .first, .grid .second {
    width: 100%;
    height: 100%;
    display: grid;
    align-items: center;
    justify-items: center;
}

.grid .first {
    order: 1;
}

.grid .second {
    order: 2;
}

@media screen and (max-width: 768px) {
    .grid .second.image{
        order: 0;
    }
}

.grid .copy {
    text-align: center;
    background: var(--main-color);
    color: var(--secondary-color);
    align-content: center;
}

.grid .copiche {
    padding: 0 15px;
}

.grid h2 {
    font-family: var(--heading-font);
}

.grid p {
    font-family: var(--body-font);
}

@media (prefers-color-scheme: dark) {
    .grid .copy {
        background: var(--dark-main-color);
        color: var(--dark-secondary-color);
    }
}

.grid .image {
    margin: 75px 0;
    background: var(--tertiary-color);
}

@media (prefers-color-scheme: dark) {
    .grid .image {
        background: var(--dark-tertiary-color);
    }
}

.copy h2 {
    text-transform: uppercase;
}

@media screen and (min-width: 768px) {
    .grid {
        grid-template-columns: repeat(2,minmax(0,1fr));
    }
}

img.logo {
    width: 100%;
    max-width: var(--logo-width);
    margin: 0 auto;
}

/* Brand Schemes */

.rocky {
    --heading-font: "Futura PT Bold", sans-serif;
    --body-font: "Inter Regular", sans-serif;
    --main-color: #E8DED3;
    --secondary-color: #352714;
    --tertiary-color: #E8DED377;
    --dark-main-color: #81613c;
    --dark-secondary-color: #ffffff;
    --dark-tertiary-color: #81613c33;
    --logo-width: 150px;
}

.georgia {
    --heading-font: "Liberator Medium", sans-serif;
    --body-font: "HelveticaNeueLTStd-Roman", sans-serif;
    --main-color: #f1e8d1;
    --secondary-color: #000000;
    --tertiary-color: #f1e8d177;
    --dark-main-color: #b88a17;
    --dark-secondary-color: #ffffff;
    --dark-tertiary-color: #b88a1733;
    --logo-width: 150px;
}

.durango {
    --heading-font: "Acme Gothic Wide Bold", sans-serif;
    --body-font: "Aktiv Grotesk", sans-serif;
    --main-color: #eae3da;
    --secondary-color: #333333;
    --tertiary-color: #eae3da77;
    --dark-main-color: #B72227;
    --dark-secondary-color: #ffffff;
    --dark-tertiary-color: #B7222733;
    --logo-width: 150px;
}

.muck {
    --heading-font: "Kapra Neue Bold", sans-serif;
    --body-font: "Gotham-Medium", sans-serif;
    --main-color: #ecf0ef;
    --secondary-color: #4e381b;
    --tertiary-color: #ecf0ef77;
    --dark-main-color: #004733;
    --dark-secondary-color: #ffffff;
    --dark-tertiary-color: #00473333;
    --logo-width: 150px;
}

.xtratuf {
    --heading-font: "Vanguard CF Extra Bold", sans-serif;
    --body-font: "Mark Pro Book", sans-serif;
    --main-color: #e7e8e6;
    --secondary-color: #3c8690;
    --tertiary-color: #e7e8e677;
    --dark-main-color: #2a4866;
    --dark-secondary-color: #ffffff;
    --dark-tertiary-color: #2a486633;
    --logo-width: 150px;
}